const prettierConfig = require('./.prettierrc.js');

module.exports = {
  extends: [
    'eslint:recommended',
    'plugin:import/errors',
    'plugin:react/recommended',
    'plugin:prettier/recommended',
    'plugin:jest/recommended',
  ],
  plugins: ['prettier', 'jest'],
  parserOptions: {
    ecmaVersion: 2017,
    sourceType: 'module',
    ecmaFeatures: {
      jsx: true,
      experimentalObjectRestSpread: true,
    },
  },
  rules: {
    'prettier/prettier': ['error', prettierConfig],
    'no-var': ['error'],
    'arrow-parens': [2, 'always'],
  },
  env: {
    browser: true,
    commonjs: true,
    es6: true,
  },
};
